<?php
// $Id: securesite.inc,v 1.10.2.3 2008/01/16 23:50:21 junyor Exp $

/**
 * Returns complete form for login.
 */
function _securesite_login_form() {
  return '<h1>Login</h1><div id="login">'. variable_get('securesite_login_form', '<p>Enter your '. variable_get('site_name', 'local') .' username and password.</p>') . theme('status_messages') .'</div>
<form action="'. request_uri() .'" method="post">
<p><label for="edit-name">'. t('Username') .': <input type="text" maxlength="55" class="form-text" name="edit[name]" id="edit-name" value=""></label></p>
<p><label for="edit-pass">'. t('Password') .': <input type="password" class="form-password" maxlength="24" name="edit[pass]" id="edit-pass" value=""></label></p>
<p><input type="hidden" name="securesite_login_form" value="1"><input type="submit" class="form-submit" name="op" value="'. t('Login') .'"></p>
</form><hr>';
}

/**
 * Returns complete form for password reset request -if- securesite_request_form var exists.
 */
function _securesite_request_form() {
  if ($form_msg = variable_get('securesite_request_form', t('<p>Enter your username <em>and</em> your e-mail address.</p>'))) {
    return '<h1>Password Reset</h1><div id="reset">'. $form_msg .'</div>'. theme('status_messages') .'
<form action="'. request_uri() .'" method="post">
<p><label for="edit-name">'. t('Username') .': <input type="text" maxlength="55" class="form-text" name="edit[name]" id="edit-name" value=""></label></p>
<p><label for="edit-mail">'. t('E-mail address') .': <input type="text" maxlength="64" class="form-text" name="edit[mail]" id="edit-mail" value=""></label></p>
<p><input type="hidden" name="securesite_request_form" value="1"><input type="submit" class="form-submit" name="op" value="'. t('E-mail new password') .'"></p>
</form>';
  }
  
  return;
}

/**
 * Print HTML dialog page for securesite.
 */
function _securesite_dialog_page($content) {
  // Display themed dialog
  $themes      = list_themes();
  $theme       = variable_get('theme_default', 'bluemarine');
  $dialog_file = '/securesite-dialog.tpl.php';
  if (file_exists(dirname($themes[$theme]->filename) . $dialog_file)) {
    include_once($dialog_file);
  }
  else {
    include_once(drupal_get_path('module', 'securesite') . $dialog_file);
  }
}
